Loading...
Searching...
No Matches
HalfWriter< false, T > Struct Template Reference

Partial specialization for non-floating-point types (no float to half quantization) More...

`#include <openvdb/io/Compression.h>`

## Static Public Member Functions

static size_t | writeSize (const T *data, Index count, uint32_t compression)
static void | write (std::ostream &os, const T *data, Index count, uint32_t compression)

## Detailed Description

template<typename T>
struct openvdb::v11_0::io::HalfWriter< false, T >

Partial specialization for non-floating-point types (no float to half quantization)

## Member Function Documentation

## write()

template<typename T>

void write | ( | std::ostream & | os,
|  | const T * | data,
|  | Index | count,
|  | uint32_t | compression )

inlinestatic

## writeSize()

template<typename T>

size_t writeSize | ( | const T * | data,
|  | Index | count,
|  | uint32_t | compression )

inlinestatic